package com.pcloud.common.utils;

import java.util.HashMap;
import java.util.Map;

/**
 * @描述：
 * @作者：DiSeng.H
 * @创建时间：2016年3月10日,下午1:15:55
 * @版本：1.0
 */
public class ThreadUtil {

	@SuppressWarnings("rawtypes")
	private static final ThreadLocal ctx = new ThreadLocal();

	@SuppressWarnings({ "rawtypes", "unchecked" })
	public static void put(Object key, Object value) {
		Map m = (Map) ctx.get();
		if (m == null) {
			m = new HashMap();
		}
		m.put(key, value);
		ctx.set(m);
	}

	public static Object get(Object key) {
		@SuppressWarnings("rawtypes")
		Map m = (Map) ctx.get();
		if (m != null) {
			return m.get(key);
		}
		return null;
	}
}
